1. Tech

Articles related to ruby 2.0

What's New in Ruby 2.0.0? - About.com
The Ruby 2.0.0 preview 1 release was just pushed out, what can you expect in this shiny new version?
http://ruby.about.com/od/beginningruby/ss/What-S-New-In-Ruby-2-0-0.htm
Keyword Arguments - Ruby - About.com
Until Ruby 2.0, Ruby has not had true keyword arguments. You could simulate them using a hash, but as of Ruby 2.0 there's no longer any need to do that.
http://ruby.about.com/od/beginningruby/ss/Keyword-Arguments.htm
The Mechanize 2.0 Handbook (7) - Ruby - About.com
The Mechanize 2.0 Handbook. Mechanize is a library for automated interaction with web sites. For all intents and purposes, it acts like a web browser with no ...
http://ruby.about.com/od/mechanize20handbook/
What is the Difference Between alias and ... - Ruby - About.com
It is implemented in an un-Ruby way, it is implemented as a keyword. ... And, as of Ruby 2.0.0 (which has been feature locked), you can even use the comma, ...
http://ruby.about.com/od/qa/ss/What-Is-The-Difference-Between-Alias-And-Alias_method.htm
Beginning Ruby - About.com
If you're just getting to know Ruby, these articles will tell you what you need to know to get started. From a basic explanation of the programming language to ...
http://ruby.about.com/od/beginningruby/
Refinements: Monkeypatching Made Safe - Ruby - About.com
This article is about a new feature in Ruby 2.0. To read more about Ruby 2.0, go to the main article on Ruby 2.0 new features. Feel free to patch monkeys to your ...
http://ruby.about.com/od/advancedruby/a/Refinements-Monkeypatching-Made-Safe.htm
Keyword Arguments, Coming Soon! - Ruby - About.com
Oct 20, 2011 ... Ruby tends to favor the "reasonable defaults" philosophy when it ... Ruby needs real keyword arguments, and they're planned for Ruby 2.0.
http://ruby.about.com/b/2011/10/20/keyword-arguments-coming-soon.htm
10 Great Resources to Learn Ruby for Free - About.com
If you've wanted to learn a little Ruby, but haven't been able to fit a programming course into your budget, ... A Shelf of Ruby Books - bricolage/Flikr/CC BY 2.0.
http://ruby.about.com/od/tutorialsontheweb/tp/10waysfree.htm
What's New in Rails 4? - Ruby - About.com
Ruby on Rails 4 requires Ruby 1.9.3 or higher and prefers Ruby 2.0. This puts the final nail in the coffin for Ruby 1.8.x which, after all these years, was still kind of ...
http://ruby.about.com/od/rails4/ss/Whats-New-In-Rails-4.htm
Refinements: The End of Monkey Patching - Ruby - About.com
Well, Ruby 2.0 is some time off, and you probably won't see it until then. But it's on the horizon, and it's such a natural fit, it's hard to imagine this won't be in Ruby  ...
http://ruby.about.com/od/advancedruby/a/Refinements-The-End-Of-Monkey-Patching.htm
1  |  2  |  3  |  4  |  5  |  6  |  7  |  8  |  9  |  10      Next

©2015 About.com. All rights reserved.